# ApplicationFramework
TKPShape
PGeom

# PGeom_OffsetSurface Class Reference

`#include <PGeom_OffsetSurface.hxx>`

Inheritance diagram for PGeom_OffsetSurface:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_OffsetSurface ()
| Creates an OffsetSurface with default values. .
Standard_EXPORT | PGeom_OffsetSurface (const Handle(PGeom_Surface)&aBasisSurface, const Standard_Real aOffsetValue)
| <abasissurface> is the basis surface, <aoffsetvalue> is the distance between <me> and the basis surface at any point. <aoffsetdirection> defines the fixed reference direction (offset direction).
Standard_EXPORT void | BasisSurface (const Handle(PGeom_Surface)&aBasisSurface)
| Set the field basisSurface with <abasissurface>. .
Standard_EXPORT Handle_PGeom_Surface | BasisSurface () const
| The basis surface can be an offset surface. .
Standard_EXPORT void | OffsetValue (const Standard_Real aOffsetValue)
| Set the field offsetValue with <aoffsetvalue>. .
Standard_EXPORT Standard_Real | OffsetValue () const
| Returns the value of the field offsetValue. .
| PGeom_OffsetSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Surface) _CSFDB_GetPGeom_OffsetSurfacebasisSurface() const
void | _CSFDB_SetPGeom_OffsetSurfacebasisSurface (const Handle(PGeom_Surface)&p)
Standard_Real | _CSFDB_GetPGeom_OffsetSurfaceoffsetValue () const
void | _CSFDB_SetPGeom_OffsetSurfaceoffsetValue (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_Surface | basisSurface
Standard_Real | offsetValue

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_OffsetSurface::PGeom_OffsetSurface | ( |  | ) |

Standard_EXPORT PGeom_OffsetSurface::PGeom_OffsetSurface | ( | const Handle(PGeom_Surface)& | aBasisSurface,
|  | const Standard_Real | aOffsetValue
| ) |

PGeom_OffsetSurface::PGeom_OffsetSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom_OffsetSurface::_CSFDB_GetPGeom_OffsetSurfaceoffsetValue | ( |  | ) | const`[inline]`

void PGeom_OffsetSurface::_CSFDB_SetPGeom_OffsetSurfacebasisSurface | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

void PGeom_OffsetSurface::_CSFDB_SetPGeom_OffsetSurfaceoffsetValue | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Handle_PGeom_Surface PGeom_OffsetSurface::BasisSurface | ( |  | ) | const

Standard_EXPORT void PGeom_OffsetSurface::BasisSurface | ( | const Handle(PGeom_Surface)& | aBasisSurface | ) |

Standard_EXPORT const PGeom_OffsetSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Surface.

PGeom_OffsetSurface::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

Standard_EXPORT Standard_Real PGeom_OffsetSurface::OffsetValue | ( |  | ) | const

Standard_EXPORT void PGeom_OffsetSurface::OffsetValue | ( | const Standard_Real | aOffsetValue | ) |

## Field Documentation

Handle_PGeom_Surface PGeom_OffsetSurface::basisSurface `[private]`

Standard_Real PGeom_OffsetSurface::offsetValue `[private]`

The documentation for this class was generated from the following file:

- PGeom_OffsetSurface.hxx